Subject: Re: PPC4xx cleanup

From: Matt Porter <[email-masked]>
Date: Mon, 19 Sep 2005 07:08:44 -0700

On Thu, Sep 15, 2005 at 03:03:23PM -0400, Dan Malek wrote:
> 
> On Sep 15, 2005, at 12:25 PM, Matt Porter wrote:
> 
> > Sounds great to me. This will have to wait to go in mainline until
> > after 2.6.14 is out though.
> 
> If you are considering this, I think you should be looking at the
> recent U-Boot discussion and patches for the "flat OF tree" and
> follow that path.

We need to fix the kernel versus the current version of U-boot's data
passing scheme for ppc32. Once the flat OF tree stuff is mainline we
can convert to it...except we have to have a wrapper for older versions
of u-boot assuming that somebody will have changed U-boot so 4xx dumps
a flat OF tree.

-Matt